Skip to main content
GET
/
beats
List beats (deprecated)
curl --request GET \
  --url https://int-data.moneydesktop.com/beats \
  --header 'MD-SESSION-TOKEN: <api-key>'
{
  "beats": [
    {
      "account_guids": [
        "ACT-2746bc4c-ee78-5631-5a33-062dea4b0437"
      ],
      "created_at": "2020-03-31T18:41:32.000Z",
      "description": "It looks like your most recent bill from Comcast was lower than it normally is. You paid $31.26, which is 28% lower than your recent average payment of $43.43.",
      "digest": "87+y8ZLvW/TIr5tbknUtGg==",
      "displayed_at": "2020-03-03T17:55:40.000Z",
      "guid": "BET-725b097e-ab18-43ca-a7fe-3c98c5a1db08",
      "has_been_displayed": false,
      "is_dismissed": false,
      "is_relevant": false,
      "primary_account_guid": "ACT-2746bc4c-ee78-5631-5a33-062dea4b0437",
      "primary_transaction_guid": "TRN-3e5919b3-c9c9-4346-b187-2ff235d371ec",
      "template": "BillAmountNotStandard",
      "title": "Bill lower than usual",
      "transaction_guids": [
        "TRN-3e5919b3-c9c9-4346-b187-2ff235d371ec"
      ],
      "updated_at": "2020-03-31T18:41:32.000Z",
      "user_guid": "USR-29dfffe5-296e-4784-89fd-6e81c8e682e6"
    }
  ]
}

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Response

200 - application/vnd.mx.nexus.v1+json

OK

beats
object[]